summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2016-03-31 22:44:19 -0400
committerMichael Sterrett <mr_bones_@gentoo.org>2016-03-31 22:44:35 -0400
commit8f4dbb0f3ee942b078562276e972fd959c4a37c2 (patch)
tree5b073117904f6216fce593f26532f714461ae74a /games-simulation
parentnet-libs/libvncserver: bump to vn. 0.9.10_p20160127 (diff)
downloadgentoo-8f4dbb0f3ee942b078562276e972fd959c4a37c2.tar.gz
gentoo-8f4dbb0f3ee942b078562276e972fd959c4a37c2.tar.bz2
gentoo-8f4dbb0f3ee942b078562276e972fd959c4a37c2.zip
games-simulation/simutrans: version bump
Package-Manager: portage-2.2.26
Diffstat (limited to 'games-simulation')
-rw-r--r--games-simulation/simutrans/Manifest2
-rw-r--r--games-simulation/simutrans/files/simutrans-0.120.1.3-Makefile.patch89
-rw-r--r--games-simulation/simutrans/simutrans-0.120.1.3.ebuild54
3 files changed, 145 insertions, 0 deletions
diff --git a/games-simulation/simutrans/Manifest b/games-simulation/simutrans/Manifest
index 03971e08e63..5ddd2b61e0f 100644
--- a/games-simulation/simutrans/Manifest
+++ b/games-simulation/simutrans/Manifest
@@ -1,2 +1,4 @@
DIST simupak64-120-0-1.zip 4051769 SHA256 02a709dfa4b0c22e0b463ebcbd9684548356de1c61566cff9c127a79990dbb78 SHA512 21badd251b9018bef55531923e23cb1935c3831784fab028febd3879384330e843329499ab08a08e71238fb92bf7db36e18ecbbc4e719a942e427f58fc634afc WHIRLPOOL 5ae84653b5a138b5a987b7ca6512994f3ba8dff48fffbb94f6fe0bf4845d5537e93734f73174eb328f20b6c9986235ae6c461c55b5efde53a4b81620a3b1da83
+DIST simupak64-120-1-2.zip 4308534 SHA256 125fa5c13a51bb0630ca651fddb8af06a823e8c4d4638bfa1bb2d89e92cc1d54 SHA512 ddc75ad1cafa23d9a7387dc38b14de7414ea7c8bb7caa2afde6d8cdf9c3f5251719966b2274c5bc4ecc9915ec764d517e24b79d5ef199904e3d9185214cba129 WHIRLPOOL 4f91de57be620849f2a278df5510ea390d737a4f063dc659ed2d5f488ce0e631b1c15d6282554574b89316b3b968e4b850db8764b24b714df1a3c5e642e34907
DIST simutrans-src-120-0-1.zip 3909005 SHA256 010a6e3765891e1821364e54f6bcdfb2911b627ffca3acae8350e06e53113683 SHA512 6f32b6f1c12f45125de8a12c4a034387a784e21fd8cdedcf7b1daefd9174d9a94825e8f68effa2ff1436cce2e2bc8cb5707161f3fa004185ae158400840dc450 WHIRLPOOL 36155184f5806a9cfab742f26e3fc78d5d7d928f99cddabbaf36c7c90d065dab02bb174c07d9633958f8b891b0db8cc5c94e45fd4f22d917b9a037c51a99b69a
+DIST simutrans-src-120-1-3.zip 3447115 SHA256 2d29b849fc39d25a0580091e1377270bddb2cae36c0fc32bd7c2d0f1d7ccfb84 SHA512 ae31dda7bdbd057aaf9c40914eb7ec0c60b21d2790d1ca12aa8db698cd112043a291934f6f460b1d5a8a1984b7defb4a0c4bc9839c81c674834062cc1e49c8bd WHIRLPOOL 273aa58b6e6d7e53a67e092ff5d0a4ef9f00ef3c96bdaf8393a01511c8b655956085f6c94a3f74ab5eeffbe312a4d3d9596a4cfbef57a7053ddd7a1f4d4fbd1d
diff --git a/games-simulation/simutrans/files/simutrans-0.120.1.3-Makefile.patch b/games-simulation/simutrans/files/simutrans-0.120.1.3-Makefile.patch
new file mode 100644
index 00000000000..d1ff41f33fe
--- /dev/null
+++ b/games-simulation/simutrans/files/simutrans-0.120.1.3-Makefile.patch
@@ -0,0 +1,89 @@
+--- Makefile.orig
++++ Makefile
+@@ -81,8 +81,6 @@
+ ifeq ($(findstring $(OSTYPE), amiga haiku mac),)
+ CFLAGS += -minline-all-stringops
+ endif
+-else
+- CFLAGS += -O
+ endif
+
+ ifdef DEBUG
+@@ -101,6 +99,7 @@
+ endif
+ else
+ CFLAGS += -DNDEBUG
++ CXXFLAGS += -DNDEBUG
+ endif
+
+ ifneq ($(PROFILE),)
+@@ -114,6 +113,7 @@
+ ifneq ($(MULTI_THREAD),)
+ ifeq ($(shell expr $(MULTI_THREAD) \>= 1), 1)
+ CFLAGS += -DMULTI_THREAD
++ CXXFLAGS += -DMULTI_THREAD
+ ifeq ($(OSTYPE),mingw)
+ #use lpthreadGC2d for debug alternatively
+ LDFLAGS += -lpthreadGC2
+@@ -132,11 +132,13 @@
+ endif
+ ifneq ($(REV),)
+ CFLAGS += -DREVISION="$(REV)"
++ CXXFLAGS += -DREVISION="$(REV)"
+ endif
+ endif
+ endif
+
+ CFLAGS += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(FLAGS)
++CXXFLAGS += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(FLAGS)
+ CCFLAGS += -Wstrict-prototypes
+
+
+@@ -492,6 +494,7 @@
+ SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
+ endif
+ CFLAGS += $(SDL_CFLAGS)
++ CXXFLAGS += $(SDL_CFLAGS)
+ LIBS += $(SDL_LDFLAGS)
+ endif
+
+@@ -523,6 +526,7 @@
+ SDL_LDFLAGS := $(shell $(SDL2_CONFIG) --libs)
+ endif
+ CFLAGS += $(SDL_CFLAGS)
++ CXXFLAGS += $(SDL_CFLAGS)
+ LIBS += $(SDL_LDFLAGS)
+ endif
+
+@@ -538,6 +542,7 @@
+ SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
+ endif
+ CFLAGS += $(SDL_CFLAGS)
++ CXXFLAGS += $(SDL_CFLAGS)
+ LIBS += $(SDL_LDFLAGS) -lSDL_mixer
+ endif
+
+@@ -564,6 +569,7 @@
+ SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
+ endif
+ CFLAGS += $(SDL_CFLAGS)
++ CXXFLAGS += $(SDL_CFLAGS)
+ LIBS += $(SDL_LDFLAGS) -lglew32
+ ifeq ($(OSTYPE),mingw)
+ LIBS += -lopengl32
+@@ -579,6 +585,7 @@
+ endif
+
+ CFLAGS += -DCOLOUR_DEPTH=$(COLOUR_DEPTH)
++CXXFLAGS += -DCOLOUR_DEPTH=$(COLOUR_DEPTH)
+
+ ifneq ($(findstring $(OSTYPE), cygwin mingw),)
+ SOURCES += simres.rc
+@@ -586,7 +593,6 @@
+ endif
+
+ CCFLAGS += $(CFLAGS)
+-CXXFLAGS += $(CFLAGS)
+
+ BUILDDIR ?= build/$(CFG)
+ PROGDIR ?= $(BUILDDIR)
diff --git a/games-simulation/simutrans/simutrans-0.120.1.3.ebuild b/games-simulation/simutrans/simutrans-0.120.1.3.ebuild
new file mode 100644
index 00000000000..85f618618bb
--- /dev/null
+++ b/games-simulation/simutrans/simutrans-0.120.1.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit flag-o-matic eutils games
+
+MY_PV=${PV/0./}
+MY_PV=${MY_PV//./-}
+DESCRIPTION="A free Transport Tycoon clone"
+HOMEPAGE="http://www.simutrans.com/"
+SRC_URI="mirror://sourceforge/simutrans/simutrans-src-${MY_PV}.zip
+ mirror://sourceforge/simutrans/simupak64-${MY_PV/3/2}.zip" #FIXME: rev bump when .3 is released
+
+LICENSE="Artistic"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+
+RDEPEND="media-libs/libsdl[sound,video]
+ sys-libs/zlib
+ app-arch/bzip2
+ media-libs/libpng:0
+ media-libs/sdl-mixer"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+S=${WORKDIR}
+
+src_prepare() {
+ strip-flags # bug #293927
+ echo "BACKEND=mixer_sdl
+COLOUR_DEPTH=16
+OSTYPE=linux
+VERBOSE=1" > config.default || die
+
+ # make it look in the install location for the data
+ sed -i \
+ -e "s:argv\[0\]:\"${GAMES_DATADIR}/${PN}/\":" \
+ simmain.cc || die
+
+ epatch "${FILESDIR}"/${P}-Makefile.patch
+ rm -f simutrans/{simutrans,*.txt}
+}
+
+src_install() {
+ newgamesbin build/default/sim ${PN}
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r simutrans/*
+ dodoc documentation/*
+ doicon simutrans.ico
+ make_desktop_entry simutrans Simutrans /usr/share/pixmaps/simutrans.ico
+ prepgamesdirs
+}